
Redmine - Defect #4047

no such file to load -- tzinfo/definitions/Europe/...

2009-10-17 19:53 - Andrey Gorbunov

Status: Closed Start date: 2009-10-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have issue with my Redmine installation.

Remine crashes with error "no such file to load -- tzinfo/definitions/Europe/Moscow" periodically - usually after login button press and

on saving changes to issue (or saving new issue). But if i refresh the page after exception - it loads normally (changes are saved and

so on). Also it crashes on any timezone settings (UTC for example).

I've checked the files - they are exist in vendor/rails/activesupport/lib/active_support/vendor/tzinfo-0.3.11/tzinfo/definitions/Europe/.

What could be the source of problem?

OS: Linux 2.6

DB: MySQL 5.0.26

Redmine: 0.8.5

About your application's environment

Ruby version 1.8.6 (i686-linux)

RubyGems version 1.3.1

Rails version 2.1.2

Active Record version 2.1.2

Action Pack version 2.1.2

Active Resource version 2.1.2

Action Mailer version 2.1.2

Active Support version 2.1.2

Edge Rails revision unknown

Application root /home/o/optimuspro/redmine

Environment development

Database adapter mysql

Database schema version 101

Full trace:

@

TZInfo::InvalidTimezoneIdentifier in Issues#show

Showing issues/show.rhtml where line #16 raised:

no such file to load -- tzinfo/definitions/Europe/Moscow

Extracted source (around line #16):

13: <%= avatar(@issue.author, :size => "64") >

14: <h3><=h @issue.subject ></h3>

15: <p class="author">

16: <= authoring @issue.created_on, @issue.author >.

17: <= l(:label_updated_time, distance_of_time_in_words(Time.now, @issue.updated_on)) + '.' if @issue.created_on !=

@issue.updated_on %>

18: </p>

19:

RAILS_ROOT: /home/o/optimuspro/redmine

Application Trace | Framework Trace | Full Trace

vendor/rails/activesupport/lib/active_support/vendor/tzinfo-0.3.11/tzinfo/timezone.rb:108:in `get'

vendor/rails/activesupport/lib/active_support/values/time_zone.rb:285:in `tzinfo'
vendor/rails/activesupport/lib/active_support/values/time_zone.rb:275:in `period_for_utc'

vendor/rails/activesupport/lib/active_support/time_with_zone.rb:57:in `period'

vendor/rails/activesupport/lib/active_support/time_with_zone.rb:94:in `zone'

vendor/rails/activesupport/lib/active_support/time_with_zone.rb:145:in `strftime'

app/helpers/application_helper.rb:107:in `format_time'

app/helpers/application_helper.rb:173:in `authoring'

app/views/issues/show.rhtml:16:in `_run_erb_47app47views47issues47show46rhtml'

vendor/rails/actionpack/lib/action_view/base.rb:342:in `send'

vendor/rails/actionpack/lib/action_view/base.rb:342:in `execute'

vendor/rails/actionpack/lib/action_view/template_handlers/compilable.rb:29:in `send'

vendor/rails/actionpack/lib/action_view/template_handlers/compilable.rb:29:in `render'

vendor/rails/actionpack/lib/action_view/template.rb:35:in `render'

vendor/rails/actionpack/lib/action_view/template.rb:22:in `render_template'

vendor/rails/actionpack/lib/action_view/base.rb:248:in `render_file'

vendor/rails/actionpack/lib/action_controller/base.rb:1112:in `render_for_file'

vendor/rails/actionpack/lib/action_controller/base.rb:872:in `render_with_no_layout'

vendor/rails/actionpack/lib/action_controller/layout.rb:251:in `render_without_benchmark'

vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:8:in `realtime'

vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

app/controllers/issues_controller.rb:106:in `show'

vendor/rails/actionpack/lib/action_controller/mime_responds.rb:131:in `call'

vendor/rails/actionpack/lib/action_controller/mime_responds.rb:131:in `custom'

vendor/rails/actionpack/lib/action_controller/mime_responds.rb:160:in `call'

vendor/rails/actionpack/lib/action_controller/mime_responds.rb:160:in `respond'

vendor/rails/actionpack/lib/action_controller/mime_responds.rb:154:in `each'

vendor/rails/actionpack/lib/action_controller/mime_responds.rb:154:in `respond'

vendor/rails/actionpack/lib/action_controller/mime_responds.rb:107:in `respond_to'

app/controllers/issues_controller.rb:105:in `show'

vendor/rails/actionpack/lib/action_controller/base.rb:1166:in `send'

vendor/rails/actionpack/lib/action_controller/base.rb:1166:in `perform_action_without_filters'

vendor/rails/actionpack/lib/action_controller/filters.rb:579:in `call_filters'

vendor/rails/actionpack/lib/action_controller/filters.rb:572:in `perform_action_without_benchmark'

vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in `perform_action_without_caching'

vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'

vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

vendor/rails/actionpack/lib/action_controller/base.rb:529:in `send'

vendor/rails/actionpack/lib/action_controller/base.rb:529:in `process_without_filters'

vendor/rails/actionpack/lib/action_controller/filters.rb:568:in `process_without_session_management_support'

vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in `process'

vendor/rails/actionpack/lib/action_controller/base.rb:389:in `process'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in `handle_request'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in `dispatch'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `synchronize'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `dispatch'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in `dispatch'

public_html/dispatch.rb:11

vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'

vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'

vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in `new_constants_in'

vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'

/usr/lib/ruby/1.8/apache/ruby-run.rb:53:in `handler'

Request

Parameters:

{"id"=>"36"}

Show session dump

---

:user_id: 3
:query:

:filters:

tracker_id:

:values:

- "2"

:operator: "="

status_id:

:values:

- ""

:operator: o

:project_id: 2

issuesindex_sort:

:key: id

:order: desc

flash: !map:ActionController::Flash::FlashHash {}

Response

Headers:

{"cookie"=>[],

"Content-Type"=>"text/html",

"Cache-Control"=>"no-cache"}

@

History

#1 - 2010-07-11 18:48 - Jean-Baptiste Barth

Is it still an issue on latest 0.9.6 ? If so, I suspect it could be a hosting problem, can you detail how you host your redmine instance ?

#2 - 2010-07-11 22:26 - Andrey Gorbunov

- Status changed from New to Resolved

Sorry, forgot to close the ticket. Yeah, it was hosting problem - i've moved to VDS and the problem has gone - Redmine works fine now.

#3 - 2010-07-11 23:56 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
